#!/usr/bin/python
# ~/bin/lat-long-2-olc.py (executable!) # chmod +x ~/bin/lat-long-2-olc.py
# ------------------------------------------------------------------------------
# Daniel Debaste June 2019
# Convert (Latitude, Lontitude) to Open Location Code format (10 decimals)
# ------------------------------------------------------------------------------
# USAGE :
# $ path/to/script/lat-long-2-olc.py 50.8351 4.30969
# 9F26R8P5+2V
# ------------------------------------------------------------------------------
import olc # olc.py in same directory as present file # ~/bin/olc.py
import sys
# ----------------------------------- Main -------------------------------------
def main():
    latlon = sys.argv
    # print latlon[1], latlon[2]
    openlocationcode = olc.encode(float(latlon[1]), float(latlon[2]))
    print openlocationcode
    exit(0)
# ----------------------------------- Script -----------------------------------
if __name__ == "__main__":
    main()

